#!/usr/bin/perl
#
# text encoding: UTF8  line separator: LF
#
# UTF-8 で保存して、実行属性 x をつけること。
#
# 選択されたテキスト以外を削除

use utf8;
binmode STDOUT, ":encoding(utf8)";

# set to replace all mode
open TSET, ">:encoding(utf8)", $ENV{TMPSETTING};
print TSET "FUNC=REPLACEALL";	# replace all mode
close TSET;
 
open TMP, "<:encoding(utf8)", $ENV{TMPFILE};
while ( <TMP> ) {
	print;
}
close TMP;

